functional File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_boyer_moore_searching
#define | __cpp_lib_experimental_not_fn
#define | _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

## Typedefs

template<typename _RAIter , typename _Hash , typename _Pred , typename _Val = typename iterator_traits<_RAIter>::value_type, typename _Diff = typename iterator_traits<_RAIter>::difference_type>
using | std::experimental::__boyer_moore_base_t = std::conditional_t< std::__is_byte_like< _Val, _Pred >::value, __boyer_moore_array_base< _Diff, 256, _Pred >, __boyer_moore_map_base< _Val, _Diff, _Hash, _Pred > >

## Functions

template<typename _RAIter , typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>
boyer_moore_horspool_searcher< _RAIter, _Hash, _BinaryPredicate > | std::experimental::make_boyer_moore_horspool_searcher (_RAIter __pat_first, _RAIter __pat_last, _Hash __hf=_Hash(), _BinaryPredicate __pred=_BinaryPredicate())
template<typename _RAIter , typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>
boyer_moore_searcher< _RAIter, _Hash, _BinaryPredicate > | std::experimental::make_boyer_moore_searcher (_RAIter __pat_first, _RAIter __pat_last, _Hash __hf=_Hash(), _BinaryPredicate __pred=_BinaryPredicate())
template<typename _ForwardIterator , typename _BinaryPredicate = std::equal_to<>>
default_searcher< _ForwardIterator, _BinaryPredicate > | std::experimental::make_default_searcher (_ForwardIterator __pat_first, _ForwardIterator __pat_last, _BinaryPredicate __pred=_BinaryPredicate())

## Variables

template<typename _Tp >
constexpr bool | std::experimental::is_bind_expression_v
template<typename _Tp >
constexpr int | std::experimental::is_placeholder_v

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/functional.

## Macro Definition Documentation

## __cpp_lib_experimental_boyer_moore_searching

#define __cpp_lib_experimental_boyer_moore_searching

Definition at line 66 of file experimental/functional.

## __cpp_lib_experimental_not_fn

#define __cpp_lib_experimental_not_fn

Definition at line 366 of file experimental/functional.

## _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

#define _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

Definition at line 30 of file experimental/functional.

## Typedef Documentation

## __boyer_moore_base_t

template<typename _RAIter , typename _Hash , typename _Pred , typename _Val = typename iterator_traits<_RAIter>::value_type, typename _Diff = typename iterator_traits<_RAIter>::difference_type>

using std::experimental::fundamentals_v1::__boyer_moore_base_t = typedef std::conditional_t<std::__is_byte_like<_Val, _Pred>::value, __boyer_moore_array_base<_Diff, 256, _Pred>, __boyer_moore_map_base<_Val, _Diff, _Hash, _Pred> >

Definition at line 165 of file experimental/functional.

## Function Documentation

## make_boyer_moore_horspool_searcher()

template<typename _RAIter , typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>

boyer_moore_horspool_searcher< _RAIter, _Hash, _BinaryPredicate > std::experimental::fundamentals_v1::make_boyer_moore_horspool_searcher | ( | _RAIter | __pat_first,
|  | _RAIter | __pat_last,
|  | _Hash | __hf = `_Hash()`,
|  | _BinaryPredicate | __pred = `_BinaryPredicate()`
| ) |  |

inline

Generator function for boyer_moore_horspool_searcher.

Definition at line 302 of file experimental/functional.

## make_boyer_moore_searcher()

template<typename _RAIter , typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>

boyer_moore_searcher< _RAIter, _Hash, _BinaryPredicate > std::experimental::fundamentals_v1::make_boyer_moore_searcher | ( | _RAIter | __pat_first,
|  | _RAIter | __pat_last,
|  | _Hash | __hf = `_Hash()`,
|  | _BinaryPredicate | __pred = `_BinaryPredicate()`
| ) |  |

inline

Generator function for boyer_moore_searcher.

Definition at line 292 of file experimental/functional.

## make_default_searcher()

template<typename _ForwardIterator , typename _BinaryPredicate = std::equal_to<>>

default_searcher< _ForwardIterator, _BinaryPredicate > std::experimental::fundamentals_v1::make_default_searcher | ( | _ForwardIterator | __pat_first,
|  | _ForwardIterator | __pat_last,
|  | _BinaryPredicate | __pred = `_BinaryPredicate()`
| ) |  |

inline

Generator function for default_searcher.

Definition at line 282 of file experimental/functional.

## Variable Documentation

## is_bind_expression_v

template<typename _Tp >

constexpr bool std::experimental::fundamentals_v1::is_bind_expression_v

constexpr

Variable template for std::is_bind_expression.

Definition at line 60 of file experimental/functional.

## is_placeholder_v

template<typename _Tp >

constexpr int std::experimental::fundamentals_v1::is_placeholder_v

constexpr

Variable template for std::is_placeholder.

Definition at line 64 of file experimental/functional.